Bug 711591 - excessive pointless information in bugs.
Summary: excessive pointless information in bugs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ABRTF17
TreeView+ depends on / blocked
 
Reported: 2011-06-07 20:19 UTC by Dave Jones
Modified: 2015-02-01 22:54 UTC (History)
9 users (show)

Fixed In Version: libreport-2.0.8-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-11 06:16:37 UTC


Attachments (Terms of Use)

Description Dave Jones 2011-06-07 20:19:24 UTC
using bug 702723 as an example..

there's a lot of duplicate information there with no extra value.

1. the 'Comment ------' text is superflous.
2. The 'package: kernel' is pointless text.
3. If the architecture is the same as the original filed bug, don't bother reporting it.
4. Likewise for the OS Release.

additionally, does abrt's comment box have a "this text will be filed in bugzilla" text ? If not, it should to dissuade people not to write garbage like "don't know" or "dakskmdlsamda"

Comment 1 Jiri Moskovcak 2011-06-09 08:27:53 UTC
Sorry for the "dakskmdlsamda" it was a testing bug, that I accidentally send to bz...

- the comment field is a problem - some wants it to be mandatory - mainly C/C++ app maintainers and others don't need it at all - kernel + python

Comment 2 Nikola Pajkovsky 2011-06-27 13:35:18 UTC
This bug has two parts. First one and easy one is remove PACKAGE, ARCH, OS_RELEASE and COMPONENT from initial report (they are superfluous). Done in my local git.

commit 1a2d5297108e6a47d6e5ebda5e1d6f745d1dab54
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Mon Jun 27 14:49:48 2011 +0200

    [libreport] rhbz711591 - exclude information which are filled in bugzilla
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>



The second part is pretty hard, because I have to parse all history of the bug to determinate if e.g. the architecture was filled in the bug and then don't bother to report it. I put the request to my TODO list

Comment 3 Dave Jones 2011-06-27 16:17:15 UTC
You shouldn't need to parse the history, just read the 'platform' dropdown.

If that is set to 'unspecified' then report it. If it is set to 'all' or the reporter is the same as what it is set to, don't report it.

Comment 4 Jiri Moskovcak 2011-09-23 16:41:22 UTC
Changing back to assigned as the second part is still not fixed.

Comment 5 Jiri Moskovcak 2011-12-09 13:41:08 UTC
Fixed in git

commit 93c1aeb02086cfe5dbf6f9201956a7ab5fc1f631
Author: Jiri Moskovcak <jmoskovc@redhat.com>
Date:   Fri Dec 9 14:28:54 2011 +0100

    rhbz: add the architecture to the comment only if it differs from initial comment rhbz#711591

Comment 6 Fedora Admin XMLRPC Client 2011-12-19 17:43:39 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2011-12-19 17:46:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2011-12-20 12:48:04 UTC
libreport-2.0.8-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreport-2.0.8-4.fc16

Comment 9 Fedora Update System 2011-12-22 22:33:52 UTC
Package libreport-2.0.8-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreport-2.0.8-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17263/libreport-2.0.8-4.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-01-11 06:16:37 UTC
libreport-2.0.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.